Skip to main content
GET
/
payment-links
/
{link_id}
Get a payment link
curl --request GET \
  --url https://prod-api.pcxpay.com/v1/payment-links/{link_id}
{
  "link_id": "lnk_a1b2c3d4",
  "transaction_id": "txn_xyz789",
  "org_id": "org_abc123",
  "payment_link": "https://pay.pcxpay.com/lnk_a1b2c3d4",
  "expires_at": "2026-04-16T10:00:00",
  "expires_at_timestamp": 1744790400,
  "status": "active",
  "email": "customer@example.com",
  "payment_amount": 5000,
  "scheduled_at": "2026-04-15T10:00:00",
  "created_at": "2026-04-13T08:00:00",
  "currency": "NGN"
}

Path Parameters

The unique ID of the payment link.

Example:

"lnk_a1b2c3d4"

Response

Payment link details.

Example:

"lnk_a1b2c3d4"

transaction_id
string | null
Example:

"txn_xyz789"

org_id
string
Example:

"org_abc123"

The full URL of the payment link to share with the customer.

Example:

"https://pay.pcxpay.com/lnk_a1b2c3d4"

expires_at
string<date-time>
Example:

"2026-04-16T10:00:00"

expires_at_timestamp
integer
Example:

1744790400

status
enum<string>
Available options:
active,
revoked,
expired
Example:

"active"

email
string<email>
Example:

"customer@example.com"

payment_amount
number | null
Example:

5000

scheduled_at
string | null
Example:

"2026-04-15T10:00:00"

created_at
string<date-time>
Example:

"2026-04-13T08:00:00"

currency
string | null
Example:

"NGN"